/////////////////////////////////////////////////////////
//  FILE:   main.cpp
/////////////////////////////////////////////////////////

#include "defs.h"

int Win[2];

///////////////////////////////////////////////////////////
//    PROC: WinMain() or main()
//    DOES: entry point for program
///////////////////////////////////////////////////////////

int main(int argc, char **argv)
{
	initialize();
	glutMainLoop();
    return 0;
}

///////////////////////////////////////////////////////////
//    PROC: myReshape
//    DOES: Called when the window is first opened and whenever 
//          the window is reconfigured (moved or resized).
////////////////////////////////////////////////////////////

void myReshape(int w, int h)
{
  Win[0] = w;
  Win[1] = h;
  printf("Window size: %d x %d\n",w,h);
  glViewport (0, 0, w, h);	/*  define the viewport	*/
  glutPostRedisplay();
}

///////////////////////////////////////////////////////////
//    PROC: OpenGL_setup()
//    DOES: sets up window for OpenGL
///////////////////////////////////////////////////////////

void initialize(void)
{
  int argc=1;
  char *argv[] = {"gls",""};
  extern void user_init();

  glutInit(&argc, argv);
  glutInitDisplayMode ( GLUT_DOUBLE | GLUT_RGB );

  glutInitWindowPosition(0,0);
  glutInitWindowSize(500,500);
  glutCreateWindow ("myGL");
  
  user_init();
}

